<!DOCTYPE html>
<html lang="pt-br">

<head>
    <title>My First Node App</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css"
        integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.min.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js"
        integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js"
        integrity="sha384-h0AbiXch4ZDo7tp9hKZ4TsHbi047NrKGLO3SEJAg45jXxnGIfYzk4Si90RDIqNm1"
        crossorigin="anonymous"></script>
    <script src="/socket.io/socket.io.js"></script>
</head>

<body>
    <div class="container">
        <br>
        <div class="jumbotron">
            <h1 class="display-4">Send Message</h1>
            <br>
            <input id="name" class="form-control" placeholder="Name">
            <br>
            <textarea id="message" class="form-control" placeholder="Your Message Here"></textarea>
            <br>
            <button id="send" class="btn btn-success">Send</button>
        </div>
        <div id="messages">

        </div>
    </div>

    <script>
        var socket = io();
        $(() => {
            $("#send").click(() => {
                let date = new Date();
                const day = date.getDate().toString();
                let month = '';
                date.getMonth() > 10 ? month = (date.getMonth() + 1).toString() : month = `0${(date.getMonth() + 1).toString()}`

                const year = date.getFullYear().toString();

                const hour = date.getHours().toString();
                const min = date.getMinutes().toString();
                const sec = date.getSeconds().toString();

                sendMessage({ name: $("#name").val(), message: $("#message").val(), date: `${day}/${month}/${year}-${hour}:${min}:${sec}`});
            })

            getMessages()
        })

        socket.on('message', addMessages)

        function addMessages(message) {
            $("#messages").append(`<h4> ${message.name} </h4> <h5>at ${message.date}</h5> <p> ${message.message} </p>`)
        }

        function getMessages() {
            $.get('http://ec2-52-67-159-45.sa-east-1.compute.amazonaws.com:3000/messages', (data) => {
                data.forEach(addMessages);
            })
        }

        function sendMessage(message) {
            $.post('http://ec2-52-67-159-45.sa-east-1.compute.amazonaws.com:3000/messages', message)
        }
    </script>

</html>
